package com.atlassian.stash.internal.scm.git.command.notes;

import com.atlassian.bitbucket.scm.git.command.GitScmCommandBuilder;
import com.atlassian.bitbucket.scm.git.command.notes.GitNotesShowBuilder;

import javax.annotation.Nonnull;

/**
 * @since 1.3
 */
public class DefaultGitNotesShowBuilder
        extends AbstractGitNotesBuilder<GitNotesShowBuilder>
        implements GitNotesShowBuilder {

    public DefaultGitNotesShowBuilder(@Nonnull GitScmCommandBuilder builder, @Nonnull String object) {
        super(builder, object, "show");
    }

    @Nonnull
    @Override
    protected GitNotesShowBuilder self() {
        return this;
    }
}
